Subject: Re: [Int-dir] Int-Dir - Review of draft-ietf-softwire-dslite-mib-11

From: "Yu Fu" <[email-masked]>
Date: Thu, 26 Nov 2015 17:10:33 +0800

Hi Carlos,

Thanks for your review. We have updated our draft based on you comments. Please see my reply inline.

>>CMP: Should the above say that this only supports IPv4-in-IPv6?

[Yu]：Yes, it only supports IPv4 in IPv6 tunnel.

>>CMP: Might be useful to add that this is because the tunnel is not point-to-point.

[Yu]: We have added it in the updated version.

>>CMP:Has this been checked? https://www.ietf.org/iesg/statement/writable-mib-module.html

[Yu]:It has been reviewed by mib doctor during the WGLC.  I am not sure is that could be considered as it has been checked?

>>CMP: I only saw one read-write and no read-create. Are there “a number of …”?

[Yu]:We have updated this sentence to “There is only one objects defined in this MIB module…..”

>>CMP: Why is RFC 2119 Informative?

[Yu]: We have changed it into Normative References in the new version.

Thanks again

BR

Yu

From: Carlos Pignataro (cpignata) [mailto:[email-masked]] 
Sent: Friday, October 23, 2015 3:01 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Int-Dir - Review of draft-ietf-softwire-dslite-mib-11 

Hi,

I am an assigned INT directorate reviewer for draft-ietf-softwire-dslite-mib-11. These comments were written primarily for the benefit of the Internet Area Directors. Document editors and shepherd(s) should treat these comments just like they would treat comments from any other IETF contributors and resolve them along with any other Last Call comments that have been received. For more details on the INT Directorate, see http://www.ietf.org/iesg/directorate/intarea.html.

This document defines MIB objects to manage DS-Lite solutions, and targets the Standards Track.

Please find some minor review comments:

5.  Difference from the IP tunnel MIB and NATV2-MIB

   Notes: According to section 5.2 of [RFC6333], DS-Lite only defines

   IPv4 in IPv6 tunnels at this moment, but other types of encapsulation

   could be defined in the future.  So this DS-Lite MIB only supports IP

   in IP encapsulation, if another RFC defined other tunnel types in the

   future, this DS-Lite MIB will be updated then.

CMP: Should the above say that this only supports IPv4-in-IPv6?

   The implementation of the IP Tunnel MIB is required for DS-Lite.  The

   tunnelIfEncapsMethod in the tunnelIfEntry should be set to

   dsLite("xx"), and a corresponding entry in the DS-Lite module will

   exist for every tunnelIfEntry with this tunnelIfEncapsMethod.  The

   tunnelIfRemoteInetAddress must be set to "::”.

CMP: Might be useful to add that this is because the tunnel is not point-to-point.

      dsliteAFTRAlarmConnectNumber OBJECT-TYPE

         SYNTAX Integer32 (60..90)

         MAX-ACCESS read-write

CMP: Has this been checked? https://www.ietf.org/iesg/statement/writable-mib-module.html

9.  Security Considerations

   There are a number of management objects defined in this MIB module

   with a MAX-ACCESS clause of read-write and/or read-create. 

CMP: I only saw one read-write and no read-create. Are there “a number of …”?

12.2.  Informative References

   [RFC2119]  Bradner, S., "Key words for use in RFCs to Indicate

              Requirement Levels", BCP 14, RFC 2119,

              DOI 10.17487/RFC2119, March 1997,

              <http://www.rfc-editor.org/info/rfc2119>.

CMP: Why is RFC 2119 Informative?

I hope these are useful!

Thanks,

— Carlos.

---

From: "Yu Fu" <[email-masked]>
Date: Thu, 26 Nov 2015 17:12:56 +0800

Hi Hui,

Thank you for your thorough review for this draft. We have updated the draft based on your comments, please see my reply in line.

>>2) In section 6.1.1,  “Because some objects defined in the IP Tunnel MIB are not read-write and read-only, a few new objects are defined in DS- Lite MIB.” What is the “read-write” and “read-only”? If it is a special meaning words in MIB, it need a quotation mark here.

[Yu]: We have updated this sentence to “Because some objects defined in the IP Tunnel MIB are not readable”.

>>3) In page 8, 

>>“dsliteTunnelAddressType OBJECT-TYPE

>>SYNTAX InetAddressType

>>MAX-ACCESS not-accessible

>>STATUS current

>>DESCRIPTION

>>" This object MUST be set to the value of ipv6(2).

>>It describes the address type of the IPv4-in-IPv6

>>tunnel initiator and endpoint."

>>::= { dsliteTunnelEntry 1 }”

>>There’s no scenario requiring ipv6z(4)?  It needs a REFERENCE to RFC 4001 in this object definition.

[Yu]: In DS-Lite scenario, there is no requirement for ipv6z(4) as it is defined for non-global IPv6 address.

        We have added the REFFERENCE to RFC 4001.

>>4) In page 10, DsliteNATBindEntry: I think dsliteNATBindMappingExtAddressType and dsliteNATBindMappingIntAddressType should just be dsliteNATBindMappingAddressType and apply to both. If all address objects in the row are of the same type, you only need one type object.

[Yu]:Because the dsliteNATBindMappingExtAddressType is the index of the dsliteNATBindEntry, it can’t merge dsliteNATBindMappingExtAddressType and dsliteNATBindMappingIntAddressType into one.

>>5) In page 11, it needs a REFERENCE to RFC 4001 in the definition of dsliteNATBindMappingExtPort.

[Yu]: Done.

>>6) In page 12, it need some description to describe “endpointIndependent, addressDependent, addressAndPortDependent” in more detail in the DESCRIPTION of dsliteNATBindMappingMapBehavior. 

 The same comments to the “arbitrary, paired” in dsliteMATBindMappingAddressPooling. A REFERENCE is also needed.

[Yu]: Done.

>>7) In page 14, it needs to define a DEFVAL value for dsliteAFTRAlarmConnectionNumber.

[Yu]: Yes, we have added a DEFVAL value into the definition of dsliteAFTRAlarmConnectionNumber.

>>8) Whether dsliteStatisticSubscriberIdex is enough or direct to get subscribers' information? 

[Yu]: As Natv2SubsicriberIndex defined in NATV2-MIB, “A unique value, greater than zero, for each NAT instance  in the managed system……If a NAT instance is deleted, its assigned index value MUST NOT be assigned to another NAT instance at least until reinitialization of the entity's management system”. The dsliteStatisticSubscriberIdex imported Natv2SubsicriberIndex from the NATV2-MIB,  it is enough to direct to get the subscribers’ information. 

>>9) I am not very sure what is dsliteStatisticIpv6Session mean? As for IPv6 traffic, there seems no mapping. 

[Yu]: This object is defined to count the normal IPv6 session because DS-Lite can offer both IPv4 and IPv6 connectivity.

>>10)Whether there has requirement to support multiple instances in DS-Lite? 

[Yu]: Yes, we have defined dsliteNATBindMappingInstanceIndex to support multiple instance. It imported Natv2InstanceIndex defined in NATV2-MIB.

Thanks again for your kind review.

BR

Yu